|  | Home | Documentation | saml1__AssertionType::__saml1__union_AssertionType Struct Reference updated Wed Apr 5 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__AssertionType::__saml1__union_AssertionType Struct Reference

`#include <saml1.h>`

Collaboration diagram for saml1__AssertionType::__saml1__union_AssertionType:
[legend]

## Public Attributes
struct saml1__StatementAbstractType * | saml1__Statement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":Statement. More...
struct saml1__SubjectStatementAbstractType * | saml1__SubjectStatement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":SubjectStatement. More...
struct saml1__AuthenticationStatementType * | saml1__AuthenticationStatement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":AuthenticationStatement. More...
struct saml1__AuthorizationDecisionStatementType * | saml1__AuthorizationDecisionStatement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":AuthorizationDecisionStatement. More...
struct saml1__AttributeStatementType * | saml1__AttributeStatement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":AttributeStatement. More...

## Member Data Documentation

struct saml1__AttributeStatementType* saml1__AssertionType::__saml1__union_AssertionType::saml1__AttributeStatement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":AttributeStatement.

struct saml1__AuthenticationStatementType* saml1__AssertionType::__saml1__union_AssertionType::saml1__AuthenticationStatement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":AuthenticationStatement.

struct saml1__AuthorizationDecisionStatementType* saml1__AssertionType::__saml1__union_AssertionType::saml1__AuthorizationDecisionStatement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":AuthorizationDecisionStatement.

struct saml1__StatementAbstractType* saml1__AssertionType::__saml1__union_AssertionType::saml1__Statement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":Statement.

struct saml1__SubjectStatementAbstractType* saml1__AssertionType::__saml1__union_AssertionType::saml1__SubjectStatement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":SubjectStatement.

The documentation for this struct was generated from the following file:

- saml1.h